import request from '@/utils/request'

export function updateDoctorInfo(data) {
  return request({
    url: '/doctor/update',
    method: 'post',
    data
  })
}
export function diagnosisList(params) {
  return request({
    url: '/doctor/doctorView/page',
    params
  })
}
export function diagnosisDetail(seekId) {
  return request({
    url: '/doctor/patient/seek/getSeekById/' + seekId
  })
}
export function diagnosisSave(seekId) {
  return request({
    url: `/doctor/diagnosis/${seekId}/save`
  })
}
export function ReceivedOrder(seekId, doctorId) {
  return request({
    url: `/patient/seek/diagnosis/${seekId}/${doctorId}`
  })
}

export function creatPatient(data) {
  return request({
    url: '/user/createAccountForPatient',
    method: 'post',
    data
  })
}
/** 患者治疗分页 */
export function treatmentList(params) {
  return request({
    url: '/patient/treatment/page',
    params
  })
}
export function treatmentInfo(treatmentId) {
  return request({
    url: '/patient/treatment/getById/' + treatmentId
  })
}
export function updateTreatmentInfo(data) {
  return request({
    url: '/patient/aiPatientTreatmentDesc/update',
    method: 'post',
    data
  })
}

/** 医生移除自己确诊的病人 */
export function removeDiagnosisPatient(seekId = []) {
  seekId = seekId.join(',')
  return request({
    url: '/doctor/del/seeks',
    method: 'post',
    data: { seekId }
  })
}
/** 医生移除治疗病人 */
export function removeTreatmentPatient(seekId = []) {
  seekId = seekId.join(',')
  return request({
    url: '/patient/treatment/doctorDelTreatment',
    method: 'post',
    data: { seekId }
  })
}
export function removePatient(treatmentId) {
  return request({
    url: `/patient/treatment/delById/${treatmentId}`
  })
}

export function diagnosis(data) {
  const seekId = data.seekId
  return request({
    url: `/doctor/diagnosis/${seekId}/save`,
    method: 'post',
    data
  })
}
export function diagnosisDetails(seekId) {
  return request({
    url: `/doctor/patient/seek/getSeekById/${seekId}`
  })
}
export function therapyList(params) {
  return request({
    url: '/patient/aiPatientTreatmentDesc/page',
    params
  })
}
/* 医生创建患者账号时 检测接口*/
export function detectionAccount(accountId) {
  return request({
    url: '/patient/getByAccountId/' + accountId
  })
}
/* 检测医生注册状态*/
export function getInfoByAccountId(accountId) {
  return request({
    url: '/doctor/getInfoByAccountId/' + accountId
  })
}
/** 文章接口 */
// 文章筛选列表
export function getArticleType() {
  return request({
    url: '/user/illtype/list'
  })
}
// 增加或者修改
export function articleHandle(params) {
  return request({
    url: '/user/docmgr/update',
    method: 'post',
    params
  })
}
// 分页查询
export function getArticleList(params) {
  return request({
    url: '/user/docmgr/page',
    params
  })
}
/** 病变相似检索 */
export function LesionSimilariTyretrievalApi(data) {
  return request({
    url: '/patient/seek/ai/getLesionSimilariTyretrieval',
    method: 'post',
    data
  })
}
/** 根据病症筛选文章 */
export function docArticleApi(params) {
  console.log(params)
  return request({
    url: '/user/docmgr/illnesstype/page',
    params
  })
}
