import config from "@/config";
const socketUrl=process.env.NODE_ENV === 'development'?config.baseUrl.devSocketUrl:config.baseUrl.proSocketUrl;
var ws=null;
import {ReceivedOrder} from '@/api/doctor';

export function initSocket(data={
    onopen:()=>{
      var user=JSON.parse(localStorage.getItem('user'));
      let doctorId=user.loginInfo.id;             
      ws.send("Hello 我上线了!doctorId:"+doctorId);
      if(window.heartTimer){
          clearInterval(window.heartTimer)
          window.heartTimer=null;
      }            
      window.heartTimer=setInterval(()=>{
          if(ws.readyState===1){
              ws.send("我发了一个心跳!doctorId:"+doctorId);
          }else{
              console.log('重新连接')
              initSocket();
          }                
      },5000)   
    },
    onclose:(evt)=>{
      console.log('Connection closed.'+evt)
    },
    onerror:(evt)=>{
      console.log('Connection error.'+evt)
    },
    onmessage:(evt)=>{
      let data=evt.data;
      try{
          if(data.indexOf('seekId')<0){
              return ;
          }
          var info=JSON.parse(data);
          let patientName=info.patientName;
          let seekId=info.seekId;
          this.$confirm(`你收到了${patientName}的一条咨询，是否接受?`, '提示', {
              confirmButtonText: '确定',
              cancelButtonText: '取消',
              type: 'warning'
          }).then(() => {  
              var doctorId=user.loginInfo.id;                  
              ReceivedOrder(seekId,doctorId).then((res)=>{
                  if(res.code===0){
                      this.$message({
                          type: 'success',
                          message: '已接单!'
                      });
                  }
              })
          }).catch(() => {
              this.$message({
                  type: 'info',
                  message: '已放弃'
              });          
          });
      }catch(err){
          console.log('异常',err)
          throw err
      }
    },
    init:()=>{

    }
}){
  var user=JSON.parse(localStorage.getItem('user'));
  if(!user){
    console.log('没有用户信息')
      return;
  };  
  var doctorId=user.loginInfo.id;
  let url=`${socketUrl}/${doctorId}`; 
  ws=new WebSocket(url)
  ws.onopen =data.onopen;
  ws.onclose =data.onclose;
  ws.onerror = data.onerror;
  ws.onmessage =data.onmessage;
  data.init({
    ws,heartTimer:window.heartTimer
  })
}
